lixunhuan007
lixunhuan007
2019-03-21 15:16

An error ocurred while starting the kernel

  • python

正常安装anaconda后打开spyder,右下角控制台出现错误警告;

Github上说程序添加进防火墙和杀毒软件,试过了还是无法解决,不知道有没有遇到同样问题的大佬是怎么解决的,请告知我一声,万分感谢!

Versions
Spyder version: 3.3.3
Python version: 3.7.2
Qt version: 5.9.7
PyQt version: 5.9.2
Operating System name/version: windows 7

IPython >=4.0 : 7.3.0 (OK)
cython >=0.21 : 0.29.6 (OK)
jedi >=0.9.0 : 0.13.3 (OK)
matplotlib >=2.0.0: 3.0.3 (OK)
nbconvert >=4.0 : 5.4.1 (OK)
numpy >=1.7 : 1.16.2 (OK)
pandas >=0.13.1 : 0.24.2 (OK)
pycodestyle >=2.3 : 2.5.0 (OK)
pyflakes >=0.6.0 : 2.1.1 (OK)
pygments >=2.0 : 2.3.1 (OK)
pylint >=0.25 : 2.3.1 (OK)
qtconsole >=4.2.0 : 4.4.3 (OK)
rope >=0.9.4 : 0.12.0 (OK)
sphinx >=0.6.6 : 1.8.5 (OK)
sympy >=0.7.3 : 1.3 (OK)

An error ocurred while starting the kernel
The error is:

Traceback (most recent call last):
File "C:\Anaconda3\lib\site‑packages\traitlets\traitlets.py", line 528, in get
value = obj._trait_values[self.name]
KeyError: 'context'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Anaconda3\lib\site‑packages\spyder\plugins\ipythonconsole.py", line 1554, in create_kernel_manager_and_kernel_client
kernel_manager.start_kernel(stderr=stderr_handle)
File "C:\Anaconda3\lib\site‑packages\jupyter_client\manager.py", line 261, in start_kernel
self._connect_control_socket()
File "C:\Anaconda3\lib\site‑packages\jupyter_client\manager.py", line 210, in _connect_control_socket
self._control_socket = self.connect_control()
File "C:\Anaconda3\lib\site‑packages\jupyter_client\connect.py", line 571, in connect_control
return self._create_connected_socket('control', identity=identity)
File "C:\Anaconda3\lib\site‑packages\jupyter_client\connect.py", line 543, in _create_connected_socket
sock = self.context.socket(socket_type)
File "C:\Anaconda3\lib\site‑packages\traitlets\traitlets.py", line 556, in __get__
return self.get(obj, cls)
File "C:\Anaconda3\lib\site‑packages\traitlets\traitlets.py", line 535, in get
value = self._validate(obj, dynamic_default())
File "C:\Anaconda3\lib\site‑packages\jupyter_client\manager.py", line 42, in _context_default
return zmq.Context.instance()
File "C:\Anaconda3\lib\site‑packages\zmq\sugar\context.py", line 108, in instance
cls._instance = cls(io_threads=io_threads)
File "zmq/backend/cython/context.pyx", line 49, in zmq.backend.cython.context.Context.__cinit__
zmq.error.ZMQError: Bad address
  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

0条回答